This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 571386 - RpmLint should check usage of deprecated egrep/fgrep.
RpmLint should check usage of deprecated egrep/fgrep.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 07:09 EST by Radek Novacek
Modified: 2010-06-04 14:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-0.97-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 17:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch that adds check of usage egrep and fgrep (1.38 KB, patch)
2010-03-08 07:09 EST, Radek Novacek
no flags Details | Diff

  None (edit)
Description Radek Novacek 2010-03-08 07:09:38 EST
Created attachment 398511 [details]
Proposed patch that adds check of usage egrep and fgrep

egrep and fgrep command is deprecated and grep -E/-F should be used instead. Rpmlint should warn packager that he is using deprecated commands.
Comment 1 Ville Skyttä 2010-03-14 11:13:44 EDT
Thanks, different version applied upstream:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1741
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1742

(The patch in initial comment incorrectly used sec instead of current_section, had some depecated vs deprecated typos, checked for sections that didn't exist yet, and wasn't too strict about finding egrep and fgrep strings.)
Comment 2 Fedora Update System 2010-05-18 16:20:52 EDT
rpmlint-0.97-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc13
Comment 3 Fedora Update System 2010-05-18 16:22:08 EDT
rpmlint-0.97-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc12
Comment 4 Fedora Update System 2010-05-28 14:03:45 EDT
rpmlint-0.97-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-06-04 14:46:46 EDT
rpmlint-0.97-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.